<?php

namespace App\Controller\Attribute;

use App\Service\RequestDtoCache;
use Symfony\Component\HttpKernel\Attribute\MapQueryString;

#[\Attribute(\Attribute::TARGET_PARAMETER)]
class MapQueryCached extends MapQueryString
{
    public function __construct() {
        return parent::__construct(resolver: RequestDtoCache::class);
    }
}